Can I update the React version in my project?

Currently the app I’m working on is using React 16.8.6, and I’m wondering if I can upgrade this version to 18.x.x because of another dependency that I need to use. Is there a compatibility limitation within VTEX itself?